﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Windows.DockManager;

namespace DockManagerBug
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private string _cachedLayout;

        private void Save(object sender, RoutedEventArgs e)
        {
            try
            {
                _cachedLayout = DockManager.SaveLayout();
                DocumentBox.Text = _cachedLayout;
            }
            catch (Exception)
            {

            }

            LoadButton.IsEnabled = true;
        }

        private void Load(object sender, RoutedEventArgs e)
        {
            if (string.IsNullOrEmpty(_cachedLayout))
            {
                return;
            }

            try
            {
                DockManager.LoadLayout(_cachedLayout);
            }
            catch (Exception exc)
            {
                MessageBox.Show(
                    this,
                    exc.Message,
                    "Exception thrown from LoadLayout",
                    MessageBoxButton.OK,
                    MessageBoxImage.Error);
            }
        }


        private void TestContent_OnLoaded(object sender, RoutedEventArgs e)
        {
            ActivatePane(sender as ContentPane);
        }

        private void ActivatePane(ContentPane pane)
        {
            if (pane == null)
            {
                return;
            }

            var pl = pane.PaneLocation;
            // note that PaneLocation is Unknown
            pane.Activate();
        }
    }
}
